Introduction
Changelog
Usage
Authentication
Headers
Errors
Rate Limiting
Webhooks
OAuth 2.0
User
Devices
Aggregation
Budgets
Challenges
CDR
Configuration
Contacts
Events
Goals
Messages
Pay Day
Payments
Reports
Surveys
Calculators
Images
Financial Passport
Users
Accounts
Transactions
put

/bills/{bill_id}

Update a Bill by ID

Confirming a bill requires a call to this API with a status of confirmed to confirm the bill for the user and start returning Bill Payments for the user to track transactions.

{
  "status": "confirmed"
}

Authorization

oauth2 - password
oauth2 - authorizationCode
oauth2 - clientCredentials
apiKey - Authorization

Request Parameters

1 Path Parameter
6 Headers

Request Body

1 Example
Schema
object
$schema: http://json-schema.org/draft-04/schema#
name
string

User entered name for the bill

1 validation
bill_type
string

Bill Type

  • bill - General bill
  • manual - Manually entered bill
  • repayment - Repayment of a loan or similar
  • subscription - Recurring subscription
1 validation
status
string

Bill Status

  • confirmed - Confirmed bill by the user or manually created
  • estimated - Estimated bill detected automatically
1 validation
frequency
string

Bill Frequency

  • monthly - Monthly
  • weekly - Weekly
  • fortnightly - Fortnightly
  • four_weekly - Every four weeks
  • quarterly - Quarterly
  • biannually - Twice a year
  • annually - Annually
  • irregular - Irregular with no fixed frequency
1 validation
next_payment_date
string

Next date a bill payment is due

2 validations
due_amount
string

Update due amount for the bill to track

1 validation
note
string

User entered notes

Responses

1 Example
Schema
object
$schema: http://json-schema.org/draft-04/schema#
id
integer

Unique identifier of the bill

4 validations + required
name
string

Name of the bill, defaults to the transaction simple description or user entry

1 validation + required
description
string

Description of the bill, defaults to the transaction original description

1 validation
bill_type
string

Bill Type

  • bill - General bill
  • manual - Manually entered bill
  • repayment - Repayment of a loan or similar
  • subscription - Recurring subscription
1 validation + required
status
string

Bill Status

  • confirmed - Confirmed bill by the user or manually created
  • estimated - Estimated bill detected automatically
1 validation + required
last_amount
string

Last bill payment amount paid

1 validation
due_amount
string

Next bill payment due amount

1 validation + required
average_amount
string

Average bill payment amount

1 validation + required
frequency
string

Bill Frequency

  • monthly - Monthly
  • weekly - Weekly
  • fortnightly - Fortnightly
  • four_weekly - Every four weeks
  • quarterly - Quarterly
  • biannually - Twice a year
  • annually - Annually
  • irregular - Irregular with no fixed frequency
  • unknown - Unknown or could not be detected
1 validation + required
payment_status
string

Payment Status

  • due - Due in the next few days to weeks depending on frequency
  • future - Future payment not due for some time
  • overdue - Overdue payment that has not been paid for at least 2 business days after the due date
  • paid - Paid previous bill payment
1 validation + required
last_payment_date
string

Last date a bill payment was made

2 validations + required
next_payment_date
string

Next date a bill payment is due

2 validations + required
category
object

Transaction Category details

merchant
object

Merchant details

account_id
integer

Account ID the bill tracks transactions from

4 validations
note
string

User entered notes

1 validation

Send a Test Request

Send requests directly from the browser (CORS must be enabled)
Path Params
1 path param not set
bill_id
$$.env
1 variable not set
Authorization